import java.util.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;

public class UDPWinShareClient extends WinDraw {
    UDPWinShareSend cli;
    String hostname;
    int port;    
    public UDPWinShareClient(String hostname, int port) { this(hostname,port,1280,720); }
    public UDPWinShareClient(String hostname, int port, int w,int h) {
	super(w,h);
	this.hostname = hostname;
	this.port = port;
    }
    
    public void run() {
	super.redraw();
	cli = new UDPWinShareSend(new UDPClient(hostname,port,0), this);
	new Thread(cli).run();
    }
    public static void main(String[] args) {
	String hostname = "localhost";
	int port = 8888;
	for (int i=0; i<args.length; i++) {
	    if (args[i].equals("-h")) hostname = args[++i];
	    else if (args[i].equals("-p")) port = Integer.parseInt(args[++i]);
	    else {
		System.err.println("unknown option: "+args[i]);
	    }
	}
	UDPWinShareClient app = new UDPWinShareClient(hostname,port);
	app.run();
    }
}
